%define src_ver 20011004
%define languagelocal polski
%define languageeng polish
%define languagecode pl

Summary: 	Polish files for ispell
Summary(pl):Polski słownik do ispella
Name: 		ispell-%{languagecode} 
Version: 	0.8
Release: 	6mdk
URL: 		http://cift.fuw.edu.pl/ispell-pl/
Source:		http://cift.fuw.edu.pl/ispell-pl/download/ispell-pl-%{src_ver}.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-pl

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

BuildPrereq: ispell >= 3.1.20-7mdk
BuildPrereq: perl
Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: ispell-polish
Obsoletes: ipolish

%description
Polish Dictionaries for ispell. 
To check spelling in Polish text use command:
ispell -d polish <file_name>

%description -l pl
Polski słownik do ispella
Do sprawdzania polskich tekstów należy użyć polecenia:
ispell -d polish <nazwa_pliku>

%prep
%setup -n %{src_ver}
cp polish.dic.proto polish.dic
./slowniki.pl

mv -f polish.dic %{languagelocal}.hash
mv -f polish.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc CZYTAJ.TO
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.8-6mdk
- add tag Provides spell-pl

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8-5mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-4mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-3mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-2mdk
- rebuild for new ispell
- updated to new version

* Thu Sep 07 2000 Pawel Jablonski <pj@linux-mandrake.com> 0.8-1mdk
- Updated dictionary

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.7-10mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.7-9mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-8mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7-7mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Sat Oct 09 1999 Paweł Jabłoński <pj@linux-mandrake.com>
- Initial Mandrake version
